
From: maximilian attems <janitor@sternwelten.at>

Randy please double check especially this one.
there may be a better solution.

Fix efi section references:
 remove __initdata for struct efi efi_phys 
 and struct efi_memory_map memmap

Error: ./arch/i386/kernel/efi.o .text refers to 000000d3 R_386_32
.init.data
Error: ./arch/i386/kernel/efi.o .text refers to 000000ff R_386_32
.init.data

efi_memmap_walk (which is not __init nor static) 
accesses both efi_phys and memmap.

Signed-off-by: maximilian attems <janitor@sternwelten.at>
Acked-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/efi.c |    4 ++--
 arch/i386/kernel/efi.c.orig    |    0 
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/efi.c~efi-eliminate-bad-section-references arch/i386/kernel/efi.c
--- 25/arch/i386/kernel/efi.c~efi-eliminate-bad-section-references	Mon Apr  4 15:23:22 2005
+++ 25-akpm/arch/i386/kernel/efi.c	Mon Apr  4 15:23:22 2005
@@ -46,8 +46,8 @@ extern efi_status_t asmlinkage efi_call_
 
 struct efi efi;
 EXPORT_SYMBOL(efi);
-static struct efi efi_phys __initdata;
-struct efi_memory_map memmap __initdata;
+static struct efi efi_phys;
+struct efi_memory_map memmap;
 
 /*
  * We require an early boot_ioremap mapping mechanism initially
diff -puN arch/i386/kernel/efi.c.orig~efi-eliminate-bad-section-references arch/i386/kernel/efi.c.orig
_
